-- Fix: Postavljanje ordering vrijednosti za sve device_type_property rekorde koji ih nemaju
-- Ordering vrijednosti se postavljaju redom po PK (po vremenu upisa u bazu)
UPDATE typology.device_type_property dtp
SET ordering = t.new_ordering
FROM (
  SELECT id_device_type_property, ROW_NUMBER() OVER (
      PARTITION BY id_device_type ORDER BY id_device_type_property
      ) - 1 AS new_ordering
  FROM typology.device_type_property
  ) t
WHERE dtp.id_device_type_property = t.id_device_type_property
  AND dtp.ordering IS NULL
  AND dtp.ind_system = false;


-- Fix: constraint za brisanje device property-ja prilikom brisanja device property type-a
ALTER TABLE device.device_property DROP CONSTRAINT fk_device_property_device_type_property;

ALTER TABLE device.device_property
  ADD CONSTRAINT fk_device_property_device_type_property FOREIGN KEY (id_device_type_property)
    REFERENCES typology.device_type_property (id_device_type_property) MATCH FULL
    ON UPDATE CASCADE ON DELETE CASCADE;
  
INSERT INTO framework.db_version(patch_number, patch_date) VALUES(83, current_timestamp);