CREATE SCHEMA dashboard
  AUTHORIZATION netvizura;

CREATE TABLE dashboard.dashboard
(
  id serial NOT NULL,
  name character varying(256),
  description character varying(512),
  ordering integer NOT NULL,
  CONSTRAINT pk_dashboard_id PRIMARY KEY (id)
)
WITH (
  OIDS=FALSE
);
ALTER TABLE dashboard.dashboard
  OWNER TO netvizura;

COMMENT ON TABLE dashboard.dashboard
  IS 'Tabela koje sadrzi definicije dashboard-ova koji ce biti prikazani u React aplikaciji';

CREATE TABLE dashboard.chart
(
  id serial NOT NULL,
  id_dashboard integer NOT NULL,
  title character varying(256),
  node_type character varying(16) NOT NULL,
  node_first_id character varying(100) NOT NULL,
  node_second_id character varying(100),
  traffic_type character varying(16) NOT NULL,
  view character varying(16) NOT NULL,
  unit character varying(8) NOT NULL,
  measure character varying(16) NOT NULL,
  graph_type character varying(16) NOT NULL,
  stepped boolean DEFAULT false,
  legend boolean DEFAULT false,
  data_grid character varying(512),
  CONSTRAINT pk_chart_id PRIMARY KEY (id),
  CONSTRAINT fk_chart_id_dashboard_id FOREIGN KEY (id_dashboard)
      REFERENCES dashboard.dashboard (id) MATCH SIMPLE
      ON UPDATE CASCADE ON DELETE CASCADE
)
WITH (
  OIDS=FALSE
);
ALTER TABLE dashboard.chart
  OWNER TO netvizura;

COMMENT ON TABLE dashboard.dashboard
  IS 'Tabela koje sadrzi definicije chart-a koji se prikazuje na povezanom dashboard-u';

INSERT INTO dashboard.dashboard(id, name, description, ordering) VALUES (1, 'Default', '', 1);

INSERT INTO framework.db_version(patch_number, patch_date) VALUES(85, current_timestamp);