-- Set limitation on space to default value
INSERT INTO framework.system_property(name, tag, type, value) 
	VALUES ('ELASTIC_MAX_SIZE_GB', 'netflow', 'DOUBLE', '100.0');

-- Set limitation on days on same value as defined for Postgres
WITH database_min_weeks AS (
	SELECT CAST((CAST(value AS int) * 7) AS character varying(255))
	FROM framework.system_property
	WHERE tag = 'netflow' AND name = 'DATABASE_MIN_WEEKS'
)
INSERT INTO framework.system_property (name, tag, type, value) 
	VALUES (
		'ELASTIC_MAX_SIZE_DAYS', 
		'netflow', 
		'INTEGER',
		(SELECT * FROM database_min_weeks LIMIT 1));

INSERT INTO framework.db_version(patch_number, patch_date) VALUES (91, current_timestamp);